package org.hisp.dhis;


import com.healthmarketscience.jackcess.ColumnBuilder;
import com.healthmarketscience.jackcess.DataType;
import java.io.File;
import java.io.IOException;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.healthmarketscience.jackcess.Database;
import com.healthmarketscience.jackcess.Table;
import com.healthmarketscience.jackcess.TableBuilder;
import java.lang.Object;
import java.lang.String;

/**
 * Hello world!
 *
 */
public class App
{

    private static final Log log = LogFactory.getLog( App.class );

    private static long MAXROWS = 10000000;

    public static void main( String[] args )
    {
        try
        {
            File dbFile = new File( "/home/bobj/src/dhaccess/test.mdb" );
//            Database db = Database.create( dbFile );
            Database db = Database.open( dbFile );
            log.info( "Opened " + dbFile.getName() );

            Map<String, Object> row = null;
            Table table = db.getTable( "test");
//            Table table = new TableBuilder( "test" ).addColumn( new ColumnBuilder( "id", DataType.LONG ).toColumn() ).addColumn( new ColumnBuilder( "value", DataType.TEXT ).toColumn() ).toTable( db );
//
//
//            long i = 0;
//            for ( i = 0; i < MAXROWS; i++ )
//            {
//                table.addRow( i, "some text" );
//            }
//
            log.info( "Reading data" );
            int count = 0;
            while ( ( row = table.getNextRow() ) != null )
            {
                count++;
                log.debug( row );
                Integer id = (Integer) row.get( "id" );
                String value = (String) row.get( "value" );

                //System.err.println( id + " : " + value );
            }
            log.info( count + " datavalues" );
        } catch ( IOException ex )
        {
            log.info("Ouch: "+ex);
        }

    }
}
